Subject: [6lo] RuleID size in SCHC compression over 802.15.4

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Fri, 14 Jan 2022 14:26:33 +0100

Hi Dominique,

(CC'ing both 6Lo and LPWAN.)

In the 6Lo session of IETF 112 you made some comments on
draft-gomez-6lo-schc-15dot4-01 (thanks!).

One of them was a question regarding the RuleID size, since in -01 we had
(still have) the following statement:

  "The present specification defines a RuleID size of 8 bits."

Based on your question (why specify a fixed size RuleID?), we are now
considering use of a variable size RuleID, to be added in -02.

In particular, we (the authors) are considering allowing a RuleID size
between 1 bit and 8 bits. On the other hand, we are discussing whether it
might make sense to allow a RuleID size greater than 8 bits as well.

In this regard, did have any scenario in mind that would benefit from a
RuleID size greater than 8 bits?

Thanks,

Carles and Ana